import { DingRobot } from './dingbot';
interface dingOptions {
    readonly dingtalk: DingRobot;
}
export declare class Io {
    private options;
    private ws;
    private pingTimer;
    private reconnectTimer?;
    private reconnectTimeout?;
    private logTimer;
    private loginUser;
    private readonly stateMid;
    constructor(options: dingOptions);
    start(): Promise<void>;
    private connected;
    private initWebSocket;
    private wsOnOpen;
    private wsOnMessage;
    private wsOnError;
    private wsOnClose;
    private reconnect;
    private ping;
    private sendLog;
    private updateMsgRead;
}
export {};
