import { DingRobot } from '../dingbot';
export declare class Message {
    readonly msgData: MessageModel;
    dingtalk: DingRobot;
    constructor();
    /**
     * find contract send message
     * @return {(Promise<void>)}
     */
    from(fromId: number): Promise<ProfileModel>;
    /**
     * find send msg room
     * if send from a room return A , if not return A:B else return null
     */
    room(cid: string): Promise<unknown>;
    content(): TextContentModel | 0;
}
